static const int duration = 200; //Length of the generated tone (msec)
static const int speaker12 = 12; //speaker pin
static const int switchPin = 2;

static const int scale[] =  {262, 294, 330, 349, 392, 440, 494, 523};
bool scalePlaying = false;

void setup() {
  pinMode(speaker12, OUTPUT);
  pinMode (switchPin, INPUT);

  SerialUSB.begin(9600);
}
void loop() {
  if (digitalRead(switchPin) == HIGH) {
    scalePlaying = true;
  }
  else {
    scalePlaying = false;
  }

  playScale();
}

void playScale() {
  if (!scalePlaying) {
    return;
  }

  // note: this is not a great way to determine the size of an array
  for (int i = 0; i < (sizeof(scale) / sizeof(*scale)); i++) {
    tone(speaker12, scale[i], duration);
    delay(duration);
  }
//  tone(speaker12, 262, duration); // Do
//  delay(duration);
//  tone(speaker12, 294, duration); // Re
//  delay(duration);
//  tone(speaker12, 330, duration); // Mi
//  delay(duration);
//  tone(speaker12, 349, duration); // Fa
//  delay(duration);
//  tone(speaker12, 392, duration); // So
//  delay(duration);
//  tone(speaker12, 440, duration); // La
//  delay(duration);
//  tone(speaker12, 494, duration); // Si
//  delay(duration);
//  tone(speaker12, 523, duration); // Do
//  delay(duration);
}
